Take the 2-minute tour ×
Super User is a question and answer site for computer enthusiasts and power users. It's 100% free, no registration required.
 rpm --query --all '*kernel*'
 kernel-headers-2.6.32-220.17.1.el6.x86_64
 kernel-firmware-2.6.32-220.17.1.el6.noarch
 dracut-kernel-004-256.el6.noarch
 kernel-devel-2.6.32-220.17.1.el6.x86_64
 abrt-addon-kerneloops-2.0.4-14.el6.centos.x86_64
 kernel-2.6.32-220.17.1.el6.x86_64
 libreport-plugin-kerneloops-2.0.5-20.el6.x86_64

 uname -r
 2.6.32-220.4.1.el6.x86_64

 /etc/init.d/network restart 
 Shutting down loopback interface:  [  OK  ]
 WARNING: All config files need .conf: /etc/modprobe.d/noipv6, it will be ignored in a future release.
 FATAL: Could not load /lib/modules/2.6.32-220.4.1.el6.x86_64/modules.dep: No such file or      directory

Eth0 does not attain a given IP If i do ifconfig eht0 up and down it says device does not exist. if i do network restart , output is pasted above?

Is there some conflict between 2 packages ? How can I solve ?

share|improve this question

migrated from stackoverflow.com Feb 9 '13 at 20:44

This question came from our site for professional and enthusiast programmers.

add comment

2 Answers 2

It looks like you've uninstalled your kernel-2.6.32-220.4.1.el6 RPM while running that kernel. This may have happened as part of a kernel RPM upgrade (although usually, kernel "upgrades" are treated as installs and won't remove existing kernels).

Check your grub.conf file and make sure that an installed kernel is set as the boot kernel. Then, reboot the system. The currently installed kernel is kernel-2.6.32-220.17.1.el6. Alternatively, download the kernel-2.6.32-220.4.1.el6 RPM and install it to get the directory and binaries back.

share|improve this answer
    
thnanks for a reply @hrunting... grub is configured for kernel-2.6.32-220.17.1.el6... and installing kernel-2.6.32-220.4.1.el6 rpm gives error saying package kernel-2.6.32-220.17.1.el6.x86_64 (which is newer than kernel-2.6.32-220.4.1.el6.x86_64) is already installed –  user1590733 Feb 9 '13 at 21:35
    
You can force installation of the older kernel with rpm --force (not sure exactly how with yum, but it's probably similar). –  hrunting Feb 9 '13 at 23:03
    
yeah i read that .. just scared that I may make the machine not bootable at all .. –  user1590733 Feb 9 '13 at 23:05
    
forcinf the kernel install did it .. Thanks a ton .. –  user1590733 Feb 10 '13 at 1:00
add comment

As the comments say, you seem to have managed to delete the package of the running kernel. Find out how that happened, and note so it doesn't happen again.

yum is set up to keep several kernels around, by default 3. Check /etc/yum.conf, particularly installonly_limit=3. Don't mess with that! It is critical to have older kernels around in case the system refuses to boot after an update, or some update fails. yum has failsafes so the running kernel isn't removed, so this shouldn't happen.

If a package gets broken/erased, you can fix that with yum reinstall <package>. To do a rpm --force is a desperate measure, to be used only under duress (and knowing exactly what you are doing). It almost guarantees (part of) the system gets broken.

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.